| Classes - Annotated - Tree - Functions - Home - Structure

# QHBox Class Reference

The QHBox widget performs geometry management on its children More...

`#include <qhbox.h>`

Inherits QFrame.

Inherited by QVBox.

List of all member functions.

## Public Members

- QHBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )
- void setSpacing ( int )
- bool setStretchFactor ( QWidget *, int stretch )

## Protected Members

- QHBox ( bool horizontal, QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )

## Detailed Description

The QHBox widget performs geometry management on its children

All its children will be placed beside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edge, and use setSpacing() to add space between the widgets.

See also QVBox and QGrid.

Examples: xform/xform.cpp i18n/main.cpp

## Member Function Documentation

### QHBox::QHBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )

Constructs an hbox widget with parent parent and name name

### QHBox::QHBox ( bool horizontal, QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE ) `[protected]`

Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the QVBox class. You should never need to use it directly.

### void QHBox::frameChanged () `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QFrame.

### void QHBox::setSpacing ( int space )

Sets the spacing between children to space.

Examples: xform/xform.cpp

### bool QHBox::setStretchFactor ( QWidget * w, int stretch )

Sets the stretch factor of w to stretch.

See also QBoxLayout::setStretchFactor().

Examples: xform/xform.cpp

### QSize QHBox::sizeHint () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QWidget.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.